[weboob] New repository on gitlab.com

Sébastien Hinderer Sebastien.Hinderer at ens-lyon.org
Tue Apr 6 09:42:13 CEST 2021


Dear Romain and woob devs,

Many thanks for mainting this great tool!

I jsut tried to update but get a strange error:

*

$ woob bank backends list
2021-04-06 09:35:41,717:ERROR:woob:2.1:ouiboube.py:513:load_backends Unable to load module "creditmutuel": <module 'creditmutuel' from '/home/seb/.local/share/woob/modules/2.1/creditmutuel/__init__.py'> is not a backend (no Module class found)
Warning: no more backends are loaded. Bank is probably unusable.
Warning: there is currently no configured backend for bank
Enabled: 

~/src/woob$ git show
commit 2a616af06710ce29fd02b1996e86513fa876b21d (HEAD -> master, origin/master, origin/HEAD)
[...]

~/src/woob$ git remote -v
origin  https://gitlab.com/woob/woob.git (fetch)

I removed my previous install of weboob/woob, and ran
$ ./tools/local_install.sh ~/local/woob/bin/

But that failed because, I guess;, the directory did not exist.

The woob script got installed in ~/.local/bin/

I moved it to ~/bin because it's already in the PATH.

Then I ran

$ woob bank backends list

I got a version mismatch error so I ran

$ woob update

The update seemed to work, I just had to confirm the security of the
repository, which was still named with weboob.

And then I ran the command shown above and got the mentionned error.

Any chance to fix this? Will I have to re-configure my backend once all
this works again?

Thanks,

Sébastien.


More information about the weboob mailing list